Knowledge Base

Supported Systems

Last Modified:
19 Feb 2019
User Level:
Administrator

Version 8.2.18 - Mar 08, 2019

The below information applies to TERMINALFOUR Version 8.2.18+ and is not relevant to older versions.

 

Minimum Recommended Memory (RAM)

The TERMINALFOUR application requires a minimum allocation of 2GB RAM in order to run on your server. You'll need to ensure that your server has sufficient RAM to run other processes as well.

Server Operating System

System VersionNote
Linux / CentOS 7  
Linux / CentOS 6.5  
Windows Server 2012 To be discontinued from a release after 01-Jul-19
Windows Server 2008 To be discontinued from a release after 01-Jul-19

Database

Your database user should have full control of objects in the database/schema. It must be able to create, alter and drop all object types.

System VersionNote
MySQL 5.7  
MySQL 5.0 MySQL 5.6 & below and MySQL on Windows will be discontinued in a release after 01-Jun-19
MS SQL 2012 To be discontinued from a release after 01-Jul-19
MS SQL 2008 To be discontinued from a release after 01-Jul-19
Oracle 12C R1 To be discontinued from a release after 01-Jul-19. The Supported character set for Oracle is AL32UTF8
Oracle 11G R1 To be discontinued from release 8.3. The Supported character set for Oracle is AL32UTF8

Web / Application Server, JAVA

System VersionNote
Apache 2.2 & Tomcat 7  
IIS 7 & Tomcat 7  
IIS 8 & Tomcat 7  
Apache 2.2 & Tomcat 8  
IIS 7 & Tomcat 8  
IIS 8 & Tomcat 8  
Oracle Java 7  

Minimum Supported Browsers

System Version
Safari 8.0.2, OS X
Internet Explorer 11, Windows
Microsoft Edge 20, Windows
Chrome 43, Windows
Chrome 35, Linux
Firefox 38, Windows
Firefox 29, Linux
Mobile Safari, iPhone 4+ iOS7
KitKat tablet, Android
Mobile Safari, iPad 2+ gen iOS7
Back to top